Skip to content

time-tracking-activities


Get activity

GET
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/activities/{activityUuid}

Get the activity of an employee

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"
activityUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"accountUuid": "string",
  
  
"employeeUuid": "string",
  
  
"activityTypeUuid": "string",
  
  
"addressUuid": "string",
  
  
"addressDescription": "string",
  
  
"productUuid": "string",
  
  
"productKey": "string",
  
  
"productDescription": "string",
  
  
"startDate": "string",
  
  
"endDate": "string",
  
  
"startTime": "string",
  
  
"endTime": "string",
  
  
"startDateTime": "2024-01-14T20:20:00",
  
  
"endDateTime": "2024-01-14T21:00:00",
  
  
"halfDay": true,
  
  
"description": "string",
  
  
"contractNoteId": 0,
  
  
"contractNoteUuid": "string",
  
  
"isInvoiced": true,
  
  
"isClosed": true,
  
  
"closedAt": "string",
  
  
"closedAtDateTime": "2024-01-31T13:00:00",
  
  
"contractNoteName": "string",
  
  
"poNumber": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples